summaryrefslogtreecommitdiff
path: root/eclass/python-utils-r1.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-08-11 07:02:28 +0100
committerV3n3RiX <venerix@redcorelinux.org>2021-08-11 07:02:28 +0100
commit068424b26532f3551a81421a9be67ed206e5c11a (patch)
tree583b8d979899a463a4ef5b26d3d49e85df987623 /eclass/python-utils-r1.eclass
parentd162ba1860a88062f4cd61f8b52fc303ba0b2991 (diff)
gentoo resync : 11.08.2021
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 168c767a2eea..b104b6694ac3 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1272,7 +1272,12 @@ epytest() {
echo "${@}" >&2
"${@}" || die -n "pytest failed with ${EPYTHON}"
- return ${?}
+ local ret=${?}
+
+ # remove common temporary directories left over by pytest plugins
+ rm -rf .hypothesis .pytest_cache || die
+
+ return ${ret}
}
# @FUNCTION: eunittest